> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Status

> Check the current status of a payment request



## OpenAPI

````yaml get /v1/payment-requests/{request_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/payment-requests/{request_id}:
    get:
      summary: Get Payment Request Status
      description: This endpoint is to  get the status of a specific payment request.
      operationId: get-payment-status
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: request_id
          in: path
          description: It's required field
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9ef68e2e-3569-4f69-9f68-04c7e4bb007c
                    name: Harvey Friesen
                    email: test@gmail.com
                    phone: '+65489505050'
                    amount: '10.00'
                    currency: sgd
                    is_currency_editable: false
                    status: pending
                    purpose: Purpose_1747817845
                    reference_number: '1747817845'
                    payment_methods:
                      - card
                    url: >-
                      https://securecheckout.sandbox.hit-pay.com/payment-request/@qasg/9ef68e2e-3569-4f69-9f68-04c7e4bb007c/checkout
                    redirect_url: https://google.com
                    webhook: https://webhook.site/8cbdef58-cd15-441a-986d-9446235223ea
                    send_sms: true
                    send_email: true
                    sms_status: pending
                    email_status: pending
                    allow_repeated_payments: false
                    expiry_date: '2025-05-26T15:10:00'
                    address:
                      city: Singapore
                      line1: 177 River Valley Road
                      line2: 177 River Valley Road
                      state: Central
                      country: SG
                      postal_code: '10015'
                    line_items: null
                    executor_id: '1363'
                    created_at: '2025-05-21T16:57:25'
                    updated_at: '2025-05-21T16:57:25'
                    staff_id: 98888a69-2d7a-4695-811d-6df8cee30264
                    business_location_id: 9e42e6be-2ff8-4b37-ac14-07970d2e79ca
                    location:
                      id: 9e42e6be-2ff8-4b37-ac14-07970d2e79ca
                      name: API_Location_1740101762910
                      street: 58 Izpod Parkway
                      postal_code: '079903'
                      city: Singapore
                      state: Singapore
                      country: sg
                      created_at: '2025-02-21T01:36:02.000000Z'
                      updated_at: '2025-02-21T01:36:02.000000Z'
                      active: true
                      business_id: 98567029-f559-49f9-916b-042a4255b32a
                      pickups: []
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  email:
                    type: string
                  phone:
                    type: string
                  amount:
                    type: string
                  currency:
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
                      - completed
                      - failed
                      - expired
                      - canceled
                      - inactive
                    description: >-
                      The status of the payment request. The value can be
                      pending, completed, failed, expired, canceled or inactive.

                      `pending`: Default when a payment request is created: open
                      for payment.

                      `failed`: Payment did not complete successfully.

                      `completed`: Payment succeeded, the request is treated as
                      paid.(unless allow_repeated_payments applies).

                      `expired`: No longer payable because time ran out when
                      either expiry_date or expires_after is set..

                      `canceled`: Manually or systematically voided (e.g.
                      terminal flow canceling a pending request).

                      `inactive`: Payment link deactivated by the merchant.
                  purpose:
                    type: string
                  reference_number:
                    type: string
                  payment_methods:
                    type: array
                    items:
                      type: string
                  url:
                    type: string
                  redirect_url:
                    type: string
                  webhook:
                    type: string
                  send_sms:
                    type: boolean
                  send_email:
                    type: boolean
                  sms_status:
                    type: string
                  email_status:
                    type: string
                  allow_repeated_payments:
                    type: boolean
                  expiry_date:
                    type: string
                  address:
                    type: object
                    properties:
                      city:
                        type: string
                      line1:
                        type: string
                      line2:
                        type: string
                      state:
                        type: string
                      country:
                        type: string
                      postal_code:
                        type: string
                    required:
                      - city
                      - line1
                      - line2
                      - state
                      - country
                      - postal_code
                  line_items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        sku:
                          type: string
                        url:
                          type: string
                        name:
                          type: string
                        price:
                          type: number
                        category:
                          type: string
                        quantity:
                          type: number
                        description:
                          type: string
                      required:
                        - id
                        - sku
                        - url
                        - name
                        - price
                        - category
                        - quantity
                        - description
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  payments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        quantity:
                          type: number
                        status:
                          type: string
                          enum:
                            - pending
                            - requires_payment_method
                            - requires_customer_action
                            - succeeded_manually
                            - failed
                            - canceled
                            - void
                            - succeeded
                            - refunded
                            - partially_refunded
                        buyer_name:
                          type: string
                        buyer_phone:
                          type: string
                        buyer_email:
                          type: string
                        currency:
                          type: string
                        amount:
                          type: string
                        refunded_amount:
                          type: string
                        payment_type:
                          type: string
                        fees:
                          type: string
                        created_at:
                          type: string
                        updated_at:
                          type: string
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: >-
                      No query results for model [App\Business\PaymentRequest]
                      9ef68e2e-3569-4f69-9f68-04c7e4bb007c1
              schema:
                type: object
                properties:
                  message:
                    type: string
                    examples:
                      - >-
                        No query results for model [App\Business\PaymentRequest]
                        974ee879-7feb-4bc6-b329-51f32928bd59
      deprecated: false
      security: []

````